summaryrefslogtreecommitdiff
path: root/gnu/usr.bin
diff options
context:
space:
mode:
authorTodd C. Miller <millert@cvs.openbsd.org>2003-07-12 16:02:26 +0000
committerTodd C. Miller <millert@cvs.openbsd.org>2003-07-12 16:02:26 +0000
commitb8795d31c450d24c02e704c617a893c085fabbf8 (patch)
tree2b428afeaccb86db6ab36956a5042873165c8dd8 /gnu/usr.bin
parent5d5c2965b803f0569263c9a431f999d09c65c8c2 (diff)
remove zdiff now that compress has its own
Diffstat (limited to 'gnu/usr.bin')
-rw-r--r--gnu/usr.bin/gzip/Makefile8
-rw-r--r--gnu/usr.bin/gzip/zdiff69
-rw-r--r--gnu/usr.bin/gzip/zdiff.145
3 files changed, 3 insertions, 119 deletions
diff --git a/gnu/usr.bin/gzip/Makefile b/gnu/usr.bin/gzip/Makefile
index 58998af374d..6caf450a198 100644
--- a/gnu/usr.bin/gzip/Makefile
+++ b/gnu/usr.bin/gzip/Makefile
@@ -1,13 +1,11 @@
-# $OpenBSD: Makefile,v 1.16 2003/06/23 19:11:54 deraadt Exp $
+# $OpenBSD: Makefile,v 1.17 2003/07/12 16:02:25 millert Exp $
# $NetBSD: Makefile,v 1.17 1995/10/24 22:18:34 jtc Exp $
-MAN= gzexe.1 zdiff.1 zforce.1 znew.1
-MLINKS+= zdiff.1 zcmp.1
-LINKS+= ${BINDIR}/zdiff ${BINDIR}/zcmp
+MAN= gzexe.1 zforce.1 znew.1
afterinstall:
install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} \
${.CURDIR}/zforce ${.CURDIR}/gzexe ${.CURDIR}/znew \
- ${.CURDIR}/zdiff ${DESTDIR}${BINDIR}
+ ${DESTDIR}${BINDIR}
.include <bsd.prog.mk>
diff --git a/gnu/usr.bin/gzip/zdiff b/gnu/usr.bin/gzip/zdiff
deleted file mode 100644
index 38d57d26070..00000000000
--- a/gnu/usr.bin/gzip/zdiff
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/bin/sh
-# sh is buggy on RS/6000 AIX 3.2. Replace above line with #!/bin/ksh
-
-# Zcmp and zdiff are used to invoke the cmp or the diff pro-
-# gram on compressed files. All options specified are passed
-# directly to cmp or diff. If only 1 file is specified, then
-# the files compared are file1 and an uncompressed file1.gz.
-# If two files are specified, then they are uncompressed (if
-# necessary) and fed to cmp or diff. The exit status from cmp
-# or diff is preserved.
-
-prog=`echo $0 | sed 's|.*/||'`
-case "$prog" in
- *cmp) comp=${CMP-cmp} ;;
- *) comp=${DIFF-diff} ;;
-esac
-
-OPTIONS=
-FILES=
-for ARG
-do
- case "$ARG" in
- -*) OPTIONS="$OPTIONS $ARG";;
- *) if test -f "$ARG"; then
- FILES="$FILES $ARG"
- else
- echo "${prog}: $ARG not found or not a regular file"
- exit 1
- fi ;;
- esac
-done
-if test -z "$FILES"; then
- echo "Usage: $prog [${comp}_options] file [file]"
- exit 1
-fi
-set $FILES
-if test $# -eq 1; then
- FILE=`echo "$1" | sed 's/[-.][zZtga]*$//'`
- gzip -cd "$1" | $comp $OPTIONS - "$FILE"
- STAT="$?"
-
-elif test $# -eq 2; then
- case "$1" in
- *[-.]gz* | *[-.][zZ] | *.t[ga]z)
- case "$2" in
- *[-.]gz* | *[-.][zZ] | *.t[ga]z)
- F=`echo "$2" | sed 's|.*/||;s|[-.][zZtga]*||'`
- TF=`mktemp /tmp/"$F".XXXXXXXXXX` || exit 1
- gzip -cdfq "$2" > "$TF"
- gzip -cdfq "$1" | $comp $OPTIONS - "$TF"
- STAT="$?"
- /bin/rm -f "$TF";;
-
- *) gzip -cdfq "$1" | $comp $OPTIONS - "$2"
- STAT="$?";;
- esac;;
- *) case "$2" in
- *[-.]gz* | *[-.][zZ] | *.t[ga]z)
- gzip -cdfq "$2" | $comp $OPTIONS "$1" -
- STAT="$?";;
- *) $comp $OPTIONS "$1" "$2"
- STAT="$?";;
- esac;;
- esac
- exit "$STAT"
-else
- echo "Usage: $prog [${comp}_options] file [file]"
- exit 1
-fi
diff --git a/gnu/usr.bin/gzip/zdiff.1 b/gnu/usr.bin/gzip/zdiff.1
deleted file mode 100644
index 1baabb5300c..00000000000
--- a/gnu/usr.bin/gzip/zdiff.1
+++ /dev/null
@@ -1,45 +0,0 @@
-.\" $Id: zdiff.1,v 1.1 1995/10/18 08:40:54 deraadt Exp $
-.TH ZDIFF 1
-.SH NAME
-zcmp, zdiff \- compare compressed files
-.SH SYNOPSIS
-.B zcmp
-[ cmp_options ] file1
-[ file2 ]
-.br
-.B zdiff
-[ diff_options ] file1
-[ file2 ]
-.SH DESCRIPTION
-.I Zcmp
-and
-.I zdiff
-are used to invoke the
-.I cmp
-or the
-.I diff
-program on compressed files. All options specified are passed directly to
-.I cmp
-or
-.IR diff "."
-If only 1 file is specified, then the files compared are
-.I file1
-and an uncompressed
-.IR file1 ".gz."
-If two files are specified, then they are uncompressed if necessary and fed to
-.I cmp
-or
-.IR diff "."
-The exit status from
-.I cmp
-or
-.I diff
-is preserved.
-.SH "SEE ALSO"
-cmp(1), diff(1), zmore(1), zgrep(1), znew(1), zforce(1), gzip(1), gzexe(1)
-.SH BUGS
-Messages from the
-.I cmp
-or
-.I diff
-programs refer to temporary filenames instead of those specified.